logo whois API Docs

WHOIS & RDAP API Documentation

Free public REST API by devhubx.org. No API key required.

GET /api/whois?domain=<domain>

Returns full WHOIS + IANA RDAP data + resolved IPv4 for the given domain.

Query Parameters

NameTypeRequiredDescription
domainstringyesDomain to lookup (e.g. google.com)

1. cURL

curl -s "https://whois.devhubx.org/api/whois?domain=google.com" | python -m json.tool

2. Python

import requests

r = requests.get("https://whois.devhubx.org/api/whois", params={"domain": "google.com"}, timeout=20)
data = r.json()

print("Registrar:", data["whois"].get("registrar"))
print("Emails:", data["whois"].get("emails"))
print("Created:", data["whois"].get("creation_date"))
print("Expires:", data["whois"].get("expiration_date"))

3. JavaScript

const res = await fetch("https://whois.devhubx.org/api/whois?domain=google.com");
const data = await res.json();
console.log(data.whois);
console.log(data.rdap);

4. Browser

https://whois.devhubx.org/api/whois?domain=google.com

HTTP Status Codes